/**
 * This stylesheet is RENDER-BLOCKING
 *
 * @format
 */

/* Only add priority styles that occur near the top of the page and/or prevent page jitter */

/*
CORE
HEADER
MENUS
BANNER
PRIORITY
*/

/*******************************************************************************************
CORE - Top-level styling
*******************************************************************************************/
:root {
	font-size: 16px;
	--font-size-h1: 3.125rem;
	--font-size-h2: 2.25rem;
	--font-size-h3: 1.875rem;
	--font-size-h4: 1rem;
	--font-size-h5: 1.1rem;
	--font-size-base: 0.938rem;
	--color-body-text: #000;
	--color-primary: #003768;
	--color-secondary: #001122;
	--color-alternate: #2678c0;
	--color-yellow: #ffcc13;
	--color-gray: #f0f3f6;
	--color-light-gray: #d8e8f8;
	--color-gray-100: #e9e9e9;
	--color-gray-200: #dedede;
	--color-gray-300: #d9d9d9;
	--color-gray-400: #b4b4b4;
	--color-gray-500: #f3f3f3;
	--color-gray-600: #eeeeed;
	--color-white: #fff;
	--color-near-white: #f9fbfd;
	--color-black: #000;
	--color-near-black: #041216;
	--color-warning: #f10f0f;
	--color-blue: #00203d;
	--color-blue-100: #002343;
	--color-blue-200: #011325;
	--color-blue-300: #011427;
	--color-blue-400: #2e76b5;
	--color-blue-500: #549edd;
	--color-blue-600: #001629;
	--color-blue-700: #162847;
	--font-family-body: 'Archivo', sans-serif;
	--font-family-icon: 'Font Awesome 6 Pro';
	--font-family-heading: 'Alike', sans-serif;
	--gutter-size: 20px;
	--width-normal: 1280px;
	--width-narrow: 1140px;
	--width-wide: 1920px;
	--width-sidebar: 372px;
	--height-header: 86px;
	--swiper-theme-color: var(--color-primary);
	--swiper-navigation-color: var(--color-alternate);
	--swiper-pagination-bullet-inactive-color: var(--color-body-text);
	--swiper-pagination-bullet-opacity: 1;
	--swiper-pagination-bullet-inactive-opacity: 1;
	--swiper-pagination-bullet-horizontal-gap: 5px;
	--swiper-pagination-bullet-size: 16px;
	--swiper-pagination-bottom: -50px;
}

@media screen and (min-width: 1025px) {
	/*TABLET*/
	:root {
		--height-header: 143px;
	}
}

#container {
	position: relative;
	top: 0;
	right: 0;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	overflow: hidden;
}

html {
	box-sizing: border-box;
	background-color: var(--color-gray);
}

body {
	margin: 0;
	display: block !important;
	font-family: var(--font-family-body);
	font-size: var(--font-size-base);
	line-height: 1.87;
	letter-spacing: 3%;
	color: var(--color-body-text);
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

*:focus-visible {
	outline: auto;
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

/* Hidden elements */
.hide,
.show-in-pdf,
.show-for-pdf,
.mega-menu .sub-menu,
.gfield--type-captcha,
.grecaptcha-badge {
	display: none !important;
}

body.lazy-images-fade-in img.lazy-img {
	opacity: 0;
	transition: opacity 800ms ease-out;
}

body.lazy-images-fade-in img.lazy-img.lazy-fade-in-loaded {
	opacity: 1;
}

/* CORE > Headings and Paragraphs */
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
	margin: 0 0 20px;
	font-family: var(--font-family-heading);
	font-weight: 400;
	line-height: 1.2;
	letter-spacing: 0;
	color: var(--color-primary);
}

h1,
.h1 {
	font-size: var(--font-size-h1);
}

h2,
.h2 {
	font-size: var(--font-size-h2);
}

h3,
.h3 {
	font-size: var(--font-size-h3);
}

h4,
.h4 {
	font-weight: 600;
	text-transform: uppercase;
	font-size: var(--font-size-h4);
	font-family: var(--font-family-body);
}

h5,
h6,
.h5,
.h6 {
	font-size: var(--font-size-h5);
}

h2 strong,
h3 strong {
	font-weight: 700;
}

h1 span.subtitle,
h2 span.subtitle {
	display: block;
	font-size: 50%;
	color: var(--color-secondary);
}

p {
	margin: 0 0 30px;
}

ul {
	list-style: none;
}

img {
	max-width: 100%;
	height: auto;
	display: block;
}

/* CORE > Links and Buttons */
a {
	color: var(--color-alternate);
	text-decoration: none;
}

a:hover,
a:focus {
	color: var(--color-primary);
}

a.no-underline {
	text-decoration: none;
}

a.no-underline:hover,
a.no-underline:focus {
	text-decoration: underline;
}

a,
button,
.button,
.wp-element-button {
	transition:
		color 200ms ease-out,
		background 200ms ease-out,
		transform 60ms ease-in;
}

button,
.button,
.wp-element-button {
	margin: 0;
	padding: 14px 24px;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	font-family: var(--font-family-body);
	font-size: 0.75rem;
	font-weight: 700;
	line-height: 1.5;
	text-align: center;
	text-transform: uppercase;
	text-decoration: none;
	color: var(--color-white);
	border: solid 1px transparent;
	border-radius: 0;
	letter-spacing: 15%;
	background-color: var(--color-primary);
	cursor: pointer;
}

button:active,
.button:active,
.wp-element-button:active {
	transform: translateY(1px);
}

button:hover,
button:focus,
.button:hover,
.button:focus,
.wp-element-button:hover,
.wp-element-button:focus {
	color: var(--color-white);
	background-color: var(--color-alternate);
}

button.alt-01,
.button.alt-01 {
	color: var(--color-primary);
	background-color: var(--color-yellow);
}

button.alt-01:hover,
button.alt-01:focus,
.button.alt-01:hover,
.button.alt-01:focus {
	color: var(--color-yellow);
	background-color: var(--color-primary);
}

button.alt-02,
.button.alt-02 {
	color: var(--color-primary);
	background-color: var(--color-white);
}

button.alt-02:hover,
button.alt-02:focus,
.button.alt-02:hover,
.button.alt-02:focus {
	color: var(--color-white);
	border-color: var(--color-white);
	background-color: transparent;
}

button.outline,
.button.outline {
	color: var(--color-yellow);
	border-color: var(--color-yellow);
	background: none;
}

button.outline:hover,
button.outline:focus,
.button.outline:hover,
.button.outline:focus {
	color: var(--color-primary);
	background: var(--color-yellow);
}

button.outline-alt-01,
.button.outline-alt-01 {
	background: none;
	color: var(--color-white);
	border-color: var(--color-white);
}

button.outline.outline-alt-01:hover,
button.outline.outline-alt-01:focus,
.button.outline.outline-alt-01:hover,
.button.outline.outline-alt-01:focus {
	color: var(--color-primary);
	background: var(--color-white);
}

button.no-button,
.button.no-button {
	padding: 0;
	border: 0;
	font-size: 0.938rem;
	color: var(--color-alternate);
	background: none;
}

button.no-button:hover,
button.no-button:focus,
.button.no-button:hover,
.button.no-button:focus {
	text-decoration: none;
	color: var(--color-primary);
}

/* CORE > Page Structure */
main {
	padding: 30px 0;
	display: block;
	flex: 1;
	width: 100%;
	min-height: 450px;
	overflow: clip;
}

body:not(.home, .page-template-template-contact-full) main {
	background-image: url('../images/news-bg.webp');
	background-size: cover;
	background-repeat: no-repeat;
}

.no-banner main {
	padding-top: 180px;
}

.content {
	margin-bottom: 60px;
}

.content.full-width {
	float: none;
	margin-bottom: 0;
}

.content img {
	max-width: 100%;
	height: auto;
}

.content section:not(:last-of-type) {
	margin-bottom: 60px;
}

.columns,
.column {
	padding-left: var(--gutter-size);
	padding-right: var(--gutter-size);
}

.row,
.row-wide,
.row-narrow {
	width: 100%;
	margin-right: auto;
	margin-left: auto;
	max-width: calc(var(--width-normal) + var(--gutter-size) * 2);
}

.row-narrow {
	max-width: calc(var(--width-narrow) + var(--gutter-size) * 2);
}

.row-wide {
	max-width: calc(var(--width-wide) + var(--gutter-size) * 2);
}

@media screen and (min-width: 768px) {
	main {
		padding: 50px 0;
	}

	.main-inner {
		display: flex;
	}

	.content {
		width: calc(100% - var(--width-sidebar) - calc(var(--gutter-size) * 2));
		margin-bottom: 0;
	}

	.content.full-width {
		width: 100%;
	}

	.sidebar {
		width: calc(var(--width-sidebar) + calc(var(--gutter-size) * 2));
	}
}

/* CORE > Priority Utility Classes */
.no-float {
	float: none;
}

.no-margin {
	margin: 0 !important;
}

.no-padding {
	padding: 0 !important;
}

.no-min-height {
	min-height: 0;
}

img.alignright {
	margin: 0 0 30px 30px;
	float: right;
}

img.alignleft {
	margin: 0 30px 30px 0;
	float: left;
}

img.responsive-img,
.responsive-img img {
	max-width: 100%;
	height: auto;
}

.position-static,
.static {
	position: static !important;
}

.position-relative,
.relative {
	position: relative !important;
}

.position-absolute,
.absolute {
	position: absolute;
}

.full-width {
	width: 100%;
}

.full-height {
	height: 100%;
}

.visually-hidden {
	border: none !important;
	clip: rect(0 0 0 0) !important;
	height: 1px !important;
	margin: -1px !important;
	overflow: hidden !important;
	padding: 0 !important;
	position: absolute !important;
	white-space: nowrap !important;
	width: 1px !important;
}

.no-background {
	background: none !important;
}

.animate-in-view,
.opacity0 {
	opacity: 0;
}

.opacity1 {
	opacity: 1 !important;
}

.uppercase {
	text-transform: uppercase;
}

.small-text {
	font-size: 0.9rem;
}

.larger-text {
	font-size: 1.2rem;
}

.font-light {
	font-weight: 300;
}

.font-normal {
	font-weight: 400;
}

.font-medium {
	font-weight: 500;
}

.font-semibold {
	font-weight: 600;
}

.bold,
.font-bold {
	font-weight: 700;
}

.font-extra-bold {
	font-weight: 800;
}

.font-black {
	font-weight: 900;
}

.mt10 {
	margin-top: 10px;
}

.mt20 {
	margin-top: 20px;
}

.mt30 {
	margin-top: 30px;
}

.mt40 {
	margin-top: 40px;
}

.mt50 {
	margin-top: 50px;
}

.mt60 {
	margin-top: 60px;
}

.mt70 {
	margin-top: 70px;
}

.mt80 {
	margin-top: 80px;
}

.mb0 {
	margin-bottom: 0 !important;
}

.mb10 {
	margin-bottom: 10px;
}

.mb20 {
	margin-bottom: 20px;
}

.mb30 {
	margin-bottom: 30px;
}

.mb40 {
	margin-bottom: 40px;
}

.mb50 {
	margin-bottom: 50px;
}

.mb60 {
	margin-bottom: 60px;
}

.mb70 {
	margin-bottom: 70px;
}

.mb80 {
	margin-bottom: 80px;
}

.pt10 {
	padding-top: 10px;
}

.pt20 {
	padding-top: 20px;
}

.pt30 {
	padding-top: 30px;
}

.pt40 {
	padding-top: 40px;
}

.pt50 {
	padding-top: 50px;
}

.pt60 {
	padding-top: 60px;
}

.pt70 {
	padding-top: 70px;
}

.pt80 {
	padding-top: 80px;
}

.pb10 {
	padding-bottom: 10px;
}

.pb20 {
	padding-bottom: 20px;
}

.pb30 {
	padding-bottom: 30px;
}

.pb40 {
	padding-bottom: 40px;
}

.pb50 {
	padding-bottom: 50px;
}

.pb60 {
	padding-bottom: 60px;
}

.pb70 {
	padding-bottom: 70px;
}

.pb80 {
	padding-bottom: 80px;
}

/* Hide on small mobile (below 450px) */
@media screen and (max-width: 449px) {
	.hide-for-small-mobile {
		display: none !important;
	}
}

@media (min-width: 768px) {
	.hide-for-medium {
		display: none !important;
	}
}

@media (min-width: 1025px) {
	.hide-for-large {
		display: none !important;
	}
}

@media screen and (max-width: 767px) {
	.hide-for-small-only {
		display: none !important;
	}
}

@media screen and (min-width: 768px) {
	.show-for-small-only {
		display: none !important;
	}
}

@media screen and (max-width: 767px) {
	.show-for-medium {
		display: none !important;
	}
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
	.hide-for-medium-only {
		display: none !important;
	}
}

@media screen and (max-width: 767px), screen and (min-width: 1025px) {
	.show-for-medium-only {
		display: none !important;
	}
}

@media screen and (max-width: 1024px) {
	.show-for-large {
		display: none !important;
	}
}

/*******************************************************************************************
HEADER
*******************************************************************************************/

.header {
	position: fixed;
	top: 0;
	width: 100%;
	height: var(--height-header);
	background-color: transparent;
	z-index: 2;
	transition: all 200ms ease-out;
}

.header-search {
	opacity: 0;
}

body.home .header {
	opacity: 0;
}

body.scrolled .header {
	background-color: var(--color-blue-100);
}

.header > .row {
	height: 100%;
	max-width: calc(var(--width-wide) + var(--gutter-size) * 2);
}

.header a {
	text-decoration: none;
}

.header-desktop {
	display: none;
}

.header-logo {
	width: 125px;
	display: flex;
	align-items: center;
}

.header-logo img {
	width: 100%;
}

.header-right {
	display: none;
	flex-direction: column;
	justify-content: space-between;
	align-self: center;
}

.header-right-top {
	display: flex;
	align-items: center;
	justify-content: flex-end;
}

.header-right-top span {
	font-weight: 600;
	color: var(--color-white);
}

.header-phone {
	line-height: 1.2;
	font-weight: 600;
	color: var(--color-yellow);
	font-size: 1.063rem;
	margin-left: 11px;
	display: inline-flex;
	align-items: center;
	position: relative;
}

.header-phone i {
	font-size: 70%;
	transform: rotate(45deg);
	margin-right: 2px;
}

.header-phone span {
	left: 50%;
	bottom: 100%;
	display: block;
	color: inherit;
	position: absolute;
	font-size: 0.75rem;
	font-weight: normal;
	white-space: nowrap;
	transform: translateX(-50%);
}

.header-phone:focus,
.header-phone:hover {
	color: var(--color-white);
}

.header-right-bottom {
	display: flex;
	align-items: flex-end;
	justify-content: flex-end;
}

.header-top-menu {
	margin-right: 3px;
}

#menu-top-navigation {
	margin: 0;
}

#menu-top-navigation li {
	display: inline-block;
}

.header-top-menu a {
	font-size: 0.875rem;
	margin-right: 15px;
	color: var(--color-white);
	letter-spacing: -0.019rem;
}

.header-top-menu a:focus,
.header-top-menu a:hover {
	color: var(--color-yellow);
}

.header-mobile-inner {
	height: 100%;
	display: flex;
	padding-left: var(--gutter-size);
	padding-right: var(--gutter-size);
}

.header-mobile-buttons {
	display: flex;
	margin-left: 4%;
	flex: 1;
	gap: 10px;
	justify-content: flex-end;
	align-items: center;
}

.header-mobile-buttons button,
.header-mobile-buttons .button {
	display: flex;
	font-size: 1.5rem;
	align-items: center;
	justify-content: center;
	padding: 0 10px;
	width: 50px;
	height: 50px;
	border-radius: 2px;
}

.header-mobile-buttons .button {
	font-size: 0.938rem;
	font-weight: 600;
	letter-spacing: -0.044rem;
}

.header-mobile-buttons .button i {
	font-size: 1.188rem;
	transform: rotate(45deg);
}

.mega-menu {
	display: none;
}

@media screen and (min-width: 768px) {
	.header-mobile-buttons button {
		margin-left: 25px;
	}

	.header-mobile-buttons .button {
		padding: 0;
		width: auto;
		height: auto;
		border: none;
	}

	.header-mobile-buttons .button i {
		font-size: 0.75rem;
	}
}

@media screen and (min-width: 1025px) {
	.header-mobile {
		display: none;
	}

	.header-desktop {
		display: block;
	}

	.header-logo {
		width: 210px;
	}

	.header-right {
		display: flex;
		flex: 1;
	}

	.header-inner {
		padding-left: var(--gutter-size);
		padding-right: var(--gutter-size);
		display: flex;
		justify-content: space-between;
		align-items: center;
		height: 100%;
		position: relative;
	}

	body.scrolled .header {
		height: 131px;
	}
}

/*******************************************************************************************
MENUS - Main navigation, dropdowns and mobile menu
*******************************************************************************************/
.main-navigation-menu {
	margin: 0;
	display: flex;
	justify-content: space-between;
}

.main-navigation-menu li {
	padding: 0;
	position: relative;
}

.main-navigation-menu > li {
	display: flex;
	align-items: center;
}

.main-navigation-menu > li:last-of-type {
	margin-right: 0;
}

.main-navigation-menu > li:last-of-type > a {
	margin-right: 0;
}

.main-navigation-menu .sub-menu {
	display: none;
	position: absolute;
	top: 100%;
	right: 0;
	width: 300px;
	margin: 0;
	background-color: var(--color-white);
}

.main-navigation-menu > a:hover + .mega-menu,
.main-navigation-menu > a:focus + .mega-menu,
.main-navigation-menu > li.active > .mega-menu,
.main-navigation-menu > a:hover + .sub-menu,
.main-navigation-menu > a:focus + .sub-menu,
.main-navigation-menu > li.active > .sub-menu {
	display: block;
	-webkit-animation: menuSlideDown 200ms both;
	animation: menuSlideDown 200ms both;
}

.main-navigation-menu a:focus,
.main-navigation-menu a:hover,
.main-navigation-menu li:hover > a {
	color: var(--color-yellow);
	text-decoration: none;
}

.main-navigation-menu > li > a {
	position: relative;
	display: block;
	height: 100%;
	color: var(--color-white);
	line-height: 1;
	font-weight: 600;
	padding-top: 10px;
	padding-bottom: 10px;
	font-size: var(--font-size-base);
}

.main-navigation-menu > li.menu-item-has-children > a:after {
	font-size: 90%;
	content: '\f0d7';
	margin-left: 5px;
	font-family: var(--font-family-icon);
}

.main-navigation-menu > li:after {
	width: 1px;
	content: '';
	height: 14px;
	display: block;
	margin: 0 17px;
	background: var(--color-white);
}

.main-navigation-menu > li:last-child:after {
	display: none;
}

/* MENUS > Main Nav Dropdowns (Level 2) */
#desktop-navigation .sub-menu li,
.mega-menu li {
	padding-left: 15px;
	padding-right: 15px;
	transition: background 200ms ease-out;
}

#desktop-navigation .sub-menu li {
	position: relative;
	cursor: pointer;
}

#mega-menu li a,
#desktop-navigation .sub-menu li a {
	color: var(--color-primary);
	font-size: 0.9rem;
	display: block;
	padding: 21px 18px;
	line-height: 1;
	text-decoration: none;
	border-bottom: solid 1px var(--color-gray-100);
	width: 100%;
	font-weight: 500;
}

#mega-menu li a:focus,
#mega-menu li a:hover,
#desktop-navigation .sub-menu li a:focus,
#desktop-navigation .sub-menu li a:hover {
	color: var(--color-alternate);
}

.mega-menu li.active,
#desktop-navigation .sub-menu li.active {
}

.mega-menu li::before,
#desktop-navigation .sub-menu li::before {
	content: '\f105';
	font-family: var(--font-family-icon);
	position: absolute;
	left: 10px;
	top: 6px;
	color: var(--color-secondary);
	pointer-events: none;
	transition: color 200ms ease-out;
	display: none;
}

.mega-menu li.active::before,
#desktop-navigation .sub-menu li.active::before {
	color: white;
}

#desktop-navigation .sub-menu .menu-item-has-children > a::after {
	content: '\f101';
	font-family: var(--font-family-icon);
	position: absolute;
	right: 10px;
	color: var(--color-secondary);
}

#desktop-navigation .sub-menu .menu-item-has-children.active > a::after {
	color: white;
}

#desktop-navigation .sub-menu .menu-item-has-children ul {
	position: absolute;
	left: 100%;
	top: 0;
}

#desktop-navigation .sub-menu .sub-menu .sub-menu {
	display: none !important;
}

#desktop-navigation .sub-menu .menu-item-has-children:hover ul,
.menu-item-has-children.active > .sub-menu {
	display: block;
	-webkit-animation: menuSlideRight 200ms both;
	animation: menuSlideRight 200ms both;
}

/* MENUS > Mobile Menu */
#mobile-navigation {
	display: none;
}

/*******************************************************************************************
BANNER - Page-top image and title
*******************************************************************************************/
.banner {
	position: relative;
	height: 280px;
	padding-top: 50px;
	background-repeat: no-repeat;
	background-position-x: 50%;
	background-size: cover;
}

.banner:before {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background:
		linear-gradient(189.06deg, rgba(0, 35, 67, 0) 61.14%, #002343 81.08%), linear-gradient(189.06deg, rgba(0, 35, 67, 0) 61.14%, #002343 81.08%),
		linear-gradient(270deg, rgba(0, 35, 67, 0) 33.02%, #002343 78.05%), linear-gradient(0deg, rgba(0, 35, 67, 0.2), rgba(0, 35, 67, 0.2));
	content: '';
	pointer-events: none;
	z-index: 1;
}

.banner:after {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: radial-gradient(ellipse 70% 42% at 100% 0%, #002343 0%, rgba(0, 35, 67, 0.7) 52%, rgba(0, 35, 67, 0) 84%);
	content: '';
	pointer-events: none;
	z-index: 1;
}

.banner-image {
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	object-fit: cover;
	object-position: center;
}

.banner > .row {
	height: 100%;
}

.banner-inner {
	position: relative;
	z-index: 1;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	float: none;
	height: 100%;
}

.banner-title {
	margin-bottom: 0;
	font-family: var(--font-family-heading);
	font-size: 2.5rem;
	font-weight: 400;
	width: 100%;
	color: var(--color-white);
}

@media screen and (min-width: 768px) {
	.banner {
		height: 350px;
	}

	.banner-title {
		font-size: 3.4rem;
	}
}

@media screen and (min-width: 1025px) {
	.banner {
		height: 450px;
	}

	.banner-title {
		font-size: 3.75rem;
	}
}

@media screen and (min-width: 1441px) {
	.banner {
		height: 550px;
	}
}

/*******************************************************************************************
PRIORITY - Other important styles
*******************************************************************************************/

.accordion-item-title {
	background: none;
}

.swiper {
	visibility: hidden;
}

.swiper-button-next,
.swiper-button-prev {
	background: none !important;
	padding: 0;
}
